Bug 494966 - Unable to clone shared channel
Unable to clone shared channel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Shannon Hughes
wes hayutin
http://server/network/software/channe...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-08 16:40 EDT by wes hayutin
Modified: 2010-04-22 08:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-08 16:40:50 EDT
Description of problem:

Satellite-5.3.0-RHEL5-re20090403.2-i386-embedded-oracle.iso

recreate:
1. create two orgs, w/ trusts
2. share a channel from one org to the other
3. from the consuming org, channels, manage software channels
you see nothing.. BUT, click clone channel

the shared channel is in the list..
4. click Create Channel

get perl ise.


[Wed Apr 08 16:21:06 2009] [error] Execution of /var/www/html/network/software/channels/manage/edit.pxt failed a
t Wed Apr  8 16:21:06 2009: RHN::Exception: Attempt to clone unauthorized channel '241' by user '102'.\n  Snigle
ts::ChannelEditor /usr/lib/perl5/vendor_perl/5.8.8/Sniglets/ChannelEditor.pm 499 RHN::Exception::throw\n  PXT::A
pacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm 625 Sniglets::ChannelEditor::clone_channel_cb
\n  PXT::Request /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm 747 PXT::ApacheHandler::pxt_parse_data\n  PXT::
Handlers /usr/lib/perl5/vendor_perl/5.8.8/PXT/Handlers.pm 112 PXT::Request::include\n  PXT::Parser /usr/lib/perl
5/vendor_perl/5.8.8/PXT/Parser.pm 152 PXT::Handlers::pxt_include_handler\n  PXT::Parser /usr/lib/perl5/vendor_pe
rl/5.8.8/PXT/Parser.pm 83 PXT::Parser::expand_tag\n  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/Apa
cheHandler.pm 522 PXT::Parser::expand_tags\n  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHand
ler.pm 124 PXT::ApacheHandler::pxt_parse_data\n  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheH
andler.pm 124 (eval)\n  main -e 0 PXT::ApacheHandler::handler\n  main -e 0 (eval)
[Wed Apr 08 16:21:07 2009] [error] Traceback sent to whayutin@redhat.com at /usr/lib/perl5/vendor_perl/5.8.8/PXT
/ApacheHandler.pm line 729.
Comment 1 wes hayutin 2009-04-08 16:47:38 EDT
The following exception occurred while executing this request:
 POST /network/software/channels/manage/edit.pxt HTTP/1.1 (from browser)
 /network/software/channels/manage/edit.pxt (from Apache)

Date:
  Wed Apr  8 16:35:02 2009

Headers:
  Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
  Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
  Accept-Encoding: gzip,deflate
  Accept-Language: en-us,en;q=0.5
  Connection: keep-alive
  Content-Length: 151
  Content-Type: application/x-www-form-urlencoded
  Cookie: rh_omni_tc=70160000000H4AjAAK; __qca=1236177970-15367291-11166117; s_vi=[CS]v1|49B3C004000024CC-A3A0980000010C0[CE]; pxt-session-cookie=1814x99a0cb49f8e8e56512535e63f14b114d
  Host: grandprix.rhndev.redhat.com
  Keep-Alive: 300
  Referer: http://grandprix.rhndev.redhat.com/network/software/channels/manage/clone.pxt
  User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b3) Gecko/20090327 Fedora/3.1-0.11.beta3.fc11 Firefox/3.1b3

Form variables:
  Create Channel => Create Channel
  clone_from => 241
  clone_type => current
  formvar_hmac => 18655c0b9e939beb3abe15eee2ddb016555ae5ec
  pxt:trap => rhn:clone_channel_cb

User Information:
  User org1auto (id 102, org_id 63)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  RHN::Exception: Attempt to clone unauthorized channel '241' by user '102'.
  Sniglets::ChannelEditor /usr/lib/perl5/vendor_perl/5.8.8/Sniglets/ChannelEditor.pm 499 RHN::Exception::throw
  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm 625 Sniglets::ChannelEditor::clone_channel_cb
  PXT::Request /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm 747 PXT::ApacheHandler::pxt_parse_data
  PXT::Handlers /usr/lib/perl5/vendor_perl/5.8.8/PXT/Handlers.pm 112 PXT::Request::include
  PXT::Parser /usr/lib/perl5/vendor_perl/5.8.8/PXT/Parser.pm 152 PXT::Handlers::pxt_include_handler
  PXT::Parser /usr/lib/perl5/vendor_perl/5.8.8/PXT/Parser.pm 83 PXT::Parser::expand_tag
  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm 522 PXT::Parser::expand_tags
  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm 124 PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm 124 (eval)
  main -e 0 PXT::ApacheHandler::handler
  main -e 0 (eval)
Comment 2 Shannon Hughes 2009-05-21 15:33:13 EDT
took the shared channels out of the selection so users can not clone shared channels.
Comment 3 Marcus Nilsson 2009-05-22 12:10:55 EDT
Cloning a shared shannel is definitely something I will want to do
Comment 4 Shannon Hughes 2009-05-29 13:31:33 EDT
mass move to onqa
Comment 5 wes hayutin 2009-06-01 08:34:26 EDT
verified, sat530-5/29 build
Comment 6 Brad Buckingham 2009-07-30 16:05:11 EDT
verified that when cloning a channel, the user may not select to clone a channel that is being shared to the org... (7/24 stage iso)... moving to RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:48:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.